Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros
compiler.h File Reference

Go to the source code of this file.

## Macros
#define | BOTAN_CLANG_VERSION 0
#define | BOTAN_DEPRECATED_HEADER(hdr)
#define | BOTAN_FORCE_INLINE inline
#define | BOTAN_FUNC_ISA(isa)
#define | BOTAN_FUTURE_INTERNAL_HEADER(hdr)
#define | BOTAN_GCC_VERSION 0
#define | BOTAN_IF_CONSTEXPR if
#define | BOTAN_MALLOC_FN
#define | BOTAN_NORETURN
#define | BOTAN_PARALLEL_FOR for
#define | BOTAN_PARALLEL_SIMD_FOR for
#define | BOTAN_PUBLIC_API(maj, min) BOTAN_DLL
#define | BOTAN_TEST_API BOTAN_DLL
#define | BOTAN_THREAD_LOCAL
#define | BOTAN_UNSTABLE_API BOTAN_DLL
#define | BOTAN_WARN_UNUSED_RESULT

## Macro Definition Documentation

#define BOTAN_CLANG_VERSION 0

Definition at line 62 of file compiler.h.

#define BOTAN_DEPRECATED_HEADER | ( |  | hdr | ) |

Definition at line 135 of file compiler.h.

#define BOTAN_FORCE_INLINE inline

Definition at line 208 of file compiler.h.

#define BOTAN_FUNC_ISA | ( |  | isa | ) |

Definition at line 71 of file compiler.h.

#define BOTAN_FUTURE_INTERNAL_HEADER | ( |  | hdr | ) |

Definition at line 139 of file compiler.h.

#define BOTAN_GCC_VERSION 0

Definition at line 53 of file compiler.h.

#define BOTAN_IF_CONSTEXPR if

Definition at line 179 of file compiler.h.

Referenced by Botan::SIMD_8x32::rotl(), Botan::SIMD_4x32::rotl(), and Botan::calendar_point::to_std_timepoint().

#define BOTAN_MALLOC_FN

Definition at line 94 of file compiler.h.

#define BOTAN_NORETURN

Definition at line 154 of file compiler.h.

#define BOTAN_PARALLEL_FOR for

Definition at line 191 of file compiler.h.

Referenced by Botan::XTEA::decrypt_n(), and Botan::XTEA::encrypt_n().

#define BOTAN_PARALLEL_SIMD_FOR for

Definition at line 223 of file compiler.h.

Referenced by Botan::Serpent::decrypt_n(), Botan::Threefish_512::decrypt_n(), Botan::Threefish_512::encrypt_n(), and Botan::Serpent::encrypt_n().

#define BOTAN_PUBLIC_API | ( |  | maj,
|  |  | min
| ) |  | BOTAN_DLL

Used to annotate API exports which are public and supported. These APIs will not be broken/removed unless strictly required for functionality or security, and only in new major versions.

Parameters

  maj | The major version this public API was released in
  min | The minor version this public API was released in

Definition at line 31 of file compiler.h.

#define BOTAN_TEST_API BOTAN_DLL

Used to annotate API exports which are exported but only for the purposes of testing. They should not be used by applications and may be removed or changed without notice.

Definition at line 45 of file compiler.h.

#define BOTAN_THREAD_LOCAL

Definition at line 167 of file compiler.h.

#define BOTAN_UNSTABLE_API BOTAN_DLL

Used to annotate API exports which are public and can be used by applications if needed, but which are intentionally not documented, and which may change incompatibly in a future major version.

Definition at line 38 of file compiler.h.

#define BOTAN_WARN_UNUSED_RESULT

Definition at line 80 of file compiler.h.